///\todo upgrade

//////////////////////////////////////////////////////////////////////////////////
//                                                                              //
//  This file is part of the buola project (https://code.google.com/p/buola/).  //
//                                                                              //
//  Copyright(c) 2007-2012 Xavi Gratal                                          //
//  gratal AT gmail DOT com                                                     //
//                                                                              //
//  Buola is free software: you can redistribute it and/or modify               //
//  it under the terms of the GNU General Public License as published by        //
//  the Free Software Foundation, either version 3 of the License, or           //
//  (at your option) any later version.                                         //
//                                                                              //
//  Buola is distributed in the hope that it will be useful,                    //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of              //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               //
//  GNU General Public License for more details.                                //
//                                                                              //
//  You should have received a copy of the GNU General Public License           //
//  along with buola.  If not, see <http://www.gnu.org/licenses/>.              //
//                                                                              //
//////////////////////////////////////////////////////////////////////////////////

#ifndef _BUOLA_MAT_ENUMS_H_
#define _BUOLA_MAT_ENUMS_H_

namespace buola { namespace mat {

enum EDecomposition
{
    QR_HOUSEHOLDER,
    QR_COL_PIV_HOUSEHOLDER,
    QR_FULL_PIV_HOUSEHOLDER,
    LU_PARTIAL_PIV,
    LU_FULL_PIV,
    LLT,
    LDLT,
    SVD_JACOBI,
    EIGEN_SELF_ADJOINT,
    EIGEN_COMPLEX,
    EIGEN_REAL,
    EIGEN_GENERALIZED_SELF_ADJOINT,
    SCHUR_COMPLEX,
    SCHUR_REAL,
    TRIDIAGONALIZATION,
    HESSENBERG
};

/*namespace mat*/ } /*namespace buola*/ }

#endif
