///\todo upgrade

//////////////////////////////////////////////////////////////////////////////////
//                                                                              //
//  This file is part of the buola project (https://code.google.com/p/buola/).  //
//                                                                              //
//  Copyright(c) 2007-2012 Xavi Gratal                                          //
//  gratal AT gmail DOT com                                                     //
//                                                                              //
//  Buola is free software: you can redistribute it and/or modify               //
//  it under the terms of the GNU General Public License as published by        //
//  the Free Software Foundation, either version 3 of the License, or           //
//  (at your option) any later version.                                         //
//                                                                              //
//  Buola is distributed in the hope that it will be useful,                    //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of              //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               //
//  GNU General Public License for more details.                                //
//                                                                              //
//  You should have received a copy of the GNU General Public License           //
//  along with buola.  If not, see <http://www.gnu.org/licenses/>.              //
//                                                                              //
//////////////////////////////////////////////////////////////////////////////////

#ifndef _BUOLA_ZZ_H_
#define _BUOLA_ZZ_H_

//the auto folder contains some files that should be included by every application using buola/gui
//every file not in this folder should be included explicitly by applications using them

#include <buola/buola.h>

#include <buola/zz/auto/forward.h>     //forward declaration of types in buola/gui
#include <buola/zz/auto/enums.h>       //declaration of some enumerations
#include <buola/zz/auto/functions.h>   //declaration of global blackbox functions

/// \defgroup zz ZZ parser
///
/// All classes and functions in this module are part of the gui library
/// which can be linked as -lbuolagui

#endif
