##################################################################################
##                                                                              ##
##  This file is part of the buola project (https://code.google.com/p/buola/).  ##
##                                                                              ##
##  Copyright(c) 2007-2012 Xavi Gratal                                          ##
##  gratal AT gmail DOT com                                                     ##
##                                                                              ##
##  Buola is free software: you can redistribute it and/or modify               ##
##  it under the terms of the GNU General Public License as published by        ##
##  the Free Software Foundation, either version 3 of the License, or           ##
##  (at your option) any later version.                                         ##
##                                                                              ##
##  Buola is distributed in the hope that it will be useful,                    ##
##  but WITHOUT ANY WARRANTY; without even the implied warranty of              ##
##  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               ##
##  GNU General Public License for more details.                                ##
##                                                                              ##
##  You should have received a copy of the GNU General Public License           ##
##  along with buola.  If not, see <http://www.gnu.org/licenses/>.              ##
##                                                                              ##
##################################################################################

#
# looking for X11
#

find_package(X11 REQUIRED)

IF(X11_FOUND)
	message(STATUS "X11 found")
ELSE(X11_FOUND)
	message(FATAL_ERROR "X11 not found")
ENDIF(X11_FOUND)

SET(XEXTENSIONS_LDFLAGS ${X11_Xfixes_LIB} ${X11_Xrender_LIB} ${X11_ICE_LIB} SM ${X11_Xdamage_LIB} ${X11_Xrandr_LIB} ${X11_Xcomposite_LIB} ${X11_Xft_LIB})
SET(XEXTENSIONS_CFLAGS ${X11_Xfixes_INCLUDE_PATH} ${X11_ICE_INCLUDE_PATH} ${X11_Xdamage_INCLUDE_PATH} ${X11_Xrandr_INCLUDE_PATH} ${X11_Xcomposite_INCLUDE_PATH} {X11_Xft_INCLUDE_PATH})
