///\todo upgrade

//////////////////////////////////////////////////////////////////////////////////
//                                                                              //
//  This file is part of the buola project (https://code.google.com/p/buola/).  //
//                                                                              //
//  Copyright(c) 2007-2012 Xavi Gratal                                          //
//  gratal AT gmail DOT com                                                     //
//                                                                              //
//  Buola is free software: you can redistribute it and/or modify               //
//  it under the terms of the GNU General Public License as published by        //
//  the Free Software Foundation, either version 3 of the License, or           //
//  (at your option) any later version.                                         //
//                                                                              //
//  Buola is distributed in the hope that it will be useful,                    //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of              //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               //
//  GNU General Public License for more details.                                //
//                                                                              //
//  You should have received a copy of the GNU General Public License           //
//  along with buola.  If not, see <http://www.gnu.org/licenses/>.              //
//                                                                              //
//////////////////////////////////////////////////////////////////////////////////

#ifndef _BUOLA_CONTAINER_DETAIL_CALLOCATORASBASE_H_
#define _BUOLA_CONTAINER_DETAIL_CALLOCATORASBASE_H_

#include <buola/buola.h>

namespace buola { namespace detail {

template<typename tAllocator>
class CAllocatorAsBase : private tAllocator
{
protected:
    tAllocator &GetAllocator()              {   return *this;   }
    const tAllocator &GetAllocator() const  {   return *this;   }
};

/*namespace detail*/ } /*namespace buola*/ }

#endif
